Skip to main content
`Ctrl`+`K`

# MatSubdomainsCreateCoalesce

Creates index subdomains by coalescing adjacent MPI processes’ ownership ranges.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSubdomainsCreateCoalesce(Mat A, PetscInt N, PetscInt *n, IS *iss[])

Collective

## Input Parameters

- A - the matrix to create subdomains from

- N - requested number of subdomains

## Output Parameters

- n - number of subdomains resulting on this MPI process

- iss - `IS` list with indices of subdomains on this MPI process

## Note

The number of subdomains must be smaller than the communicator size

## See Also

Matrices, `Mat`, `IS`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages